orders
Create Order
Create an order from cart
POST
/
api
/
orders
Create Order
curl --request POST \
--url https://api.fluid.app/api/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"email": "<string>",
"status": "<string>",
"payment_status": "<string>",
"order_type": "<string>",
"financial_status": "<string>",
"order_status": "<string>",
"fulfillment_status": "<string>",
"note": "<string>",
"metafields": [
{
"namespace": "<string>",
"key": "<string>",
"value": "<unknown>",
"value_type": "<string>"
}
]
}
}
'import requests
url = "https://api.fluid.app/api/orders"
payload = { "order": {
"email": "<string>",
"status": "<string>",
"payment_status": "<string>",
"order_type": "<string>",
"financial_status": "<string>",
"order_status": "<string>",
"fulfillment_status": "<string>",
"note": "<string>",
"metafields": [
{
"namespace": "<string>",
"key": "<string>",
"value": "<unknown>",
"value_type": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
email: '<string>',
status: '<string>',
payment_status: '<string>',
order_type: '<string>',
financial_status: '<string>',
order_status: '<string>',
fulfillment_status: '<string>',
note: '<string>',
metafields: [
{
namespace: '<string>',
key: '<string>',
value: '<unknown>',
value_type: '<string>'
}
]
}
})
};
fetch('https://api.fluid.app/api/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": 123,
"amount_in_base": "<string>",
"base_to_currency_rate": "<string>",
"currency_symbol": "<string>",
"currency_code": "<string>",
"external_id": "<string>",
"order_number": "<string>",
"token": "<string>",
"note": "<string>",
"company_logo_url": "<string>",
"created_at": "<string>",
"customer": "<string>",
"email": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"subtotal": "<string>",
"subtotal_after_discounts": "<string>",
"sub_total": "<string>",
"sub_total_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"discount": "<string>",
"discount_in_currency": "<string>",
"warehouse_id": 123,
"warehouse": {
"id": 123,
"name": "<string>",
"active": true,
"external_id": "<string>",
"metadata": {}
},
"shipping": "<string>",
"shipping_in_currency": {
"amount_in_currency": "<string>",
"surcharge_in_currency": "<string>"
},
"refundable_amount": "<string>",
"payment_status": "<string>",
"enrollment_token": "<string>",
"enrollment_pack": {
"enrollment_pack_id": 123,
"additional_volume": 123,
"slug": "<string>",
"description": {
"id": 123,
"name": "<string>",
"body": "<string>",
"record_type": "<string>",
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"locale": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"images": [
{
"id": 123,
"relateable_type": "<string>",
"relateable_id": 123,
"image_url": "<string>",
"image_path": "<string>",
"position": 123,
"shopify_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": 123
}
],
"items": [
{
"id": 123,
"allow_subscription": true,
"creditable_points": 123,
"cv": 123,
"cv_in_currency": "<string>",
"cv_total": "<string>",
"enrollment": true,
"enrollment_pack_id": 123,
"price": "<string>",
"price_in_currency": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"product_title": "<string>",
"quantity": 123,
"qv": 123,
"qv_in_currency": "<string>",
"qv_total": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_for_display": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscription": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_only": true,
"subscription_plan_id": 123,
"subscription_plans": [
{
"id": 123,
"name": "<string>",
"billing_interval": 1,
"billing_interval_unit": "month",
"billing_frequency_in_words": "<string>",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"trial_period": 2,
"trial_period_unit": "<string>",
"split_volume": false,
"allow_max_billing_cycles": false,
"max_billing_cycles": 123,
"company_default": false,
"products_count": 123,
"subscribers_count": 123,
"price": "<string>",
"price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"savings_label": "<string>"
}
],
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "2023-12-25",
"tax": "<string>",
"tax_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"title": "<string>",
"display_to_customer": true,
"metadata": {},
"errors": [
{}
]
}
],
"price": "<string>",
"price_in_currency": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"title": "<string>",
"token": "<string>",
"canonical_url": "<string>"
},
"fulfillment_status": "<string>",
"order_status": "<string>",
"financial_status": "<string>",
"delivery_status": "<string>",
"delivery_method": "<string>",
"delivery_date": "<string>",
"channel": "<string>",
"tags": "<string>",
"items_count": 123,
"quantity_count": 123,
"items": [
{
"id": 123,
"price": 123,
"price_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"cv": "<string>",
"cv_in_currency": "<string>",
"qv": "<string>",
"qv_in_currency": "<string>",
"product_title": "<string>",
"variant_title": "<string>",
"variant_image": "<string>",
"variant_id": 123,
"quantity": 123,
"title": "<string>",
"total": 123,
"image_url": "<string>",
"sku": "<string>",
"display_price": "<string>",
"display_total": "<string>",
"refundable_amount": "<string>",
"enrollment_pack_id": 123,
"display_to_customer": true,
"free_item": true,
"bundled_items": [
{
"variant_id": 123,
"product_id": 123,
"product_title": "<string>",
"variant_title": "<string>",
"option_titles": [
"<string>"
],
"quantity": 123,
"display_to_customer": true
}
],
"ordered_variant": [
{
"option_type": "<string>",
"value": "<string>"
}
],
"product": {
"id": 123,
"title": "<string>",
"introduction": "<string>",
"cv": "<string>",
"cv_in_currency": "<string>",
"external_id": "<string>",
"image_path": "<string>",
"image_url": "<string>",
"price": "<string>",
"price_in_currency": "<string>",
"sku": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"canonical_url": "<string>",
"metadata": {},
"metafields": [
{
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"locked": true,
"metafield_definition": {}
}
]
},
"variant": {
"id": 123,
"title": "<string>",
"image_path": "<string>",
"image_url": "<string>",
"primary_image": "<string>",
"price": "<string>",
"price_in_currency": "<string>",
"currency_code": "<string>",
"sku": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
]
},
"default_language": "<string>",
"translations": {}
}
],
"activities": [
{
"id": 123,
"user_id": 123,
"relation_type": "<string>",
"relation_id": 123,
"contact_id": 123,
"title": "<string>",
"description": "<string>",
"formatted_description": "<string>",
"read_at": "<string>",
"slug": "<string>",
"company_id": 123,
"created_at": "<string>"
}
],
"shipping_method": {
"id": "<string>",
"title": "<string>",
"delivery_time_estimate": "<string>"
},
"payment_details": {
"payment_type": "<string>",
"details": {
"card_network": "<string>",
"card_brand": "<string>",
"last_four": "<string>",
"exp_month": "<string>",
"exp_year": "<string>",
"logo_url": "<string>"
}
},
"primary_domain_hostname": "<string>",
"company_subdomain": "<string>",
"shipping_total": "<string>",
"shipping_total_for_display": "<string>",
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"subdivision_code": "<string>",
"default": true
},
"bill_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"subdivision_code": "<string>",
"default": true
},
"shipping_address": {
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"subdivision_code": "<string>"
},
"billing_address": {
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"subdivision_code": "<string>"
},
"company": {
"id": 123,
"name": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"favicon_url": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"collect_email_marketing": true
},
"order_on_behalf_of": true,
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"metadata": {},
"metafields": [
{
"id": 123,
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"value_type": "<string>",
"description": "<string>",
"owner_type": "<string>",
"owner_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metafield_definition": {
"id": 123,
"company_id": 123,
"namespace": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"value_type": "<string>",
"validation_rules": {},
"owner_resource": "<string>",
"pinned": false,
"position": 0,
"locked": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"list_type": true,
"reference_type": true,
"supported_validations": [
"<string>"
],
"validation_description": "<string>",
"category_ids": [
123
]
}
}
],
"free_shipping": true,
"discount_codes": [
"<string>"
],
"created_subscriptions": [
"<string>"
],
"digital_only": true,
"points_applied": 123,
"points_applied_amount": 123,
"points_applied_amount_in_currency": "<string>",
"order_total_after_points_redemption": 123,
"total_points_credited": 123,
"customer_points_balance": 123,
"source": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>"
},
"meta": {
"request_id": "<string>",
"timestamp": "<string>",
"shop_url": "<string>"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
Token of the cart to create order from
Body
application/json
Show child attributes
Show child attributes
⌘I
Create Order
